Subject: Re: bug#48264: [PATCH v3 07/15] Add BVAR_OR_DEFAULT macro as a stub

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 May 2021 16:32:25 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 07 May 2021 09:24:02 -0400
> 
> > I thought I asked you not to make changes that are overwritten by
> > subsequent patches in the series, as it makes review harder.  It also
> > makes the supposedly separate changes in the set not really separate,
> > because one cannot revert one of them and still have a functional
> > Emacs.
> 
> Sure, I can merge the two changes together, I'll do that for the next
> revision of the series.  Just felt this was easier to review.

Shorter patches are easier to review, indeed.  But if that requires
making spurious changes that aren't really meant to be in the final
version, the size of the diffs takes a back seat, because breaking the
patches in smaller parts makes the reviewer look at changes that
aren't real.